Page MenuHomePhabricator

chromium 72 crash when used with --remote-debugging-port
Closed, ResolvedPublic

Description

On Debian Stretch with chromium 72.0.3626.96-1~deb9u1, the browser crashes whenever being passed --remote-debugging-port or --headless. It is an Upstream issue:

chromium crashes when started with --remote-debugging-port switch
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=922794

$ /usr/bin/chromium --remote-debugging-port=9222 --user-data-dir=/tmp/remote
Gtk-Message: Failed to load module "canberra-gtk-module"
ATTENTION: default value of option force_s3tc_enable overridden by environment.
Received signal 11 SEGV_MAPERR 000000000080
#0 0x55d7796c2711 <unknown>
#1 0x55d7796c2b7b <unknown>
#2 0x55d7796c31de <unknown>
#3 0x7f1449f730e0 <unknown>
#4 0x55d777aaa314 <unknown>
#5 0x55d777ab51b7 <unknown>
#6 0x55d77b237634 <unknown>
#7 0x55d77917af7f <unknown>
#8 0x55d7791b24cc <unknown>
#9 0x55d7791b25ee <unknown>
#10 0x55d7791c33d3 <unknown>
#11 0x55d7791c3e55 <unknown>
#12 0x55d777a46fd3 <unknown>
#13 0x55d777ec0c32 <unknown>
#14 0x55d777a49089 <unknown>
#15 0x55d777a4a039 <unknown>
#16 0x55d777a365be <unknown>
#17 0x55d77916d298 <unknown>
#18 0x55d77916d501 <unknown>
#19 0x55d77916d8b0 <unknown>
#20 0x55d779178b7a <unknown>
#21 0x55d77916b6c5 <unknown>
#22 0x55d776e13d39 ChromeMain
#23 0x7f143c39d2e1 __libc_start_main
#24 0x55d776e13b8a _start
  r8: 0000000000000003  r9: 0000000000000040 r10: 00007f13a5ffb9d0 r11: 0000000000000202
 r12: 00007fff965b8790 r13: 000055d781056680 r14: 00007fff965b87e0 r15: 000055d781055f60
  di: 00007fff965b8790  si: 000055d77e25a770  bp: 00007fff965b8830  bx: 000055d781056060
  dx: 000055d777aaa314  ax: 00007fff965b8790  cx: 0000000000000319  sp: 00007fff965b8730
  ip: 000055d777aaa314 efl: 0000000000010202 cgf: 002b000000000033 erf: 0000000000000004
 trp: 000000000000000e msk: 0000000000000000 cr2: 0000000000000080
[end of stack trace]
Calling _exit(1). Core file will not be generated.

Chromium 70.0.3538.110-1~deb9u1 is not affected.

Event Timeline

hashar created this task.Feb 21 2019, 11:21 AM

Same with --headless:

$ chromium --headless
Received signal 11 SEGV_MAPERR 000000000010

chromium crashes when started with --remote-debugging-port switch
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=922794

hashar updated the task description. (Show Details)Feb 21 2019, 12:09 PM
hashar triaged this task as Normal priority.Feb 27 2019, 9:46 AM
hashar removed a project: Quibble.
hashar moved this task from Backlog to Patch merged upstream on the Upstream board.

The new Debian package 72.0.3626.96-1~deb9u2 addresses the crash when using --headless. It still crashes when using --remote-debugging-port. I replied on the Debian bug

Change 494243 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: pin chromium to version 71

https://gerrit.wikimedia.org/r/494243

Change 494243 merged by jenkins-bot:
[integration/config@master] docker: pin chromium to version 71

https://gerrit.wikimedia.org/r/494243

Change 494274 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] wikidata-query-rdf: upgrade Chromium from v70 to v71

https://gerrit.wikimedia.org/r/494274

Change 494299 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Pin selenium-daily-beta-* jobs to Chromium v71

https://gerrit.wikimedia.org/r/494299

Change 494299 merged by jenkins-bot:
[integration/config@master] Pin selenium-daily-beta-* jobs to Chromium v71

https://gerrit.wikimedia.org/r/494299

Change 494274 merged by jenkins-bot:
[integration/config@master] wikidata-query-rdf: upgrade Chromium from v70 to v71

https://gerrit.wikimedia.org/r/494274

hashar closed this task as Resolved.Mar 12 2019, 7:37 AM
hashar claimed this task.

Debian has released a new version of Chromium 72.0.3626.122-1~deb9u1 and it works fine.

Was upstream https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=922794